package com.hai.dao;

import com.hai.entity.HighChildOrder;
import com.hai.entity.HighChildOrderExample.Criteria;
import com.hai.entity.HighChildOrderExample.Criterion;
import com.hai.entity.HighChildOrderExample;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.jdbc.SQL;

public class HighChildOrderSqlProvider {

    public String countByExample(HighChildOrderExample example) {
        SQL sql = new SQL();
        sql.SELECT("count(*)").FROM("high_child_order");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String deleteByExample(HighChildOrderExample example) {
        SQL sql = new SQL();
        sql.DELETE_FROM("high_child_order");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String insertSelective(HighChildOrder record) {
        SQL sql = new SQL();
        sql.INSERT_INTO("high_child_order");
        
        if (record.getOrderId() != null) {
            sql.VALUES("order_id", "#{orderId,jdbcType=BIGINT}");
        }
        
        if (record.getMemId() != null) {
            sql.VALUES("mem_id", "#{memId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreId() != null) {
            sql.VALUES("store_id", "#{storeId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreName() != null) {
            sql.VALUES("store_name", "#{storeName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreAddress() != null) {
            sql.VALUES("store_address", "#{storeAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsType() != null) {
            sql.VALUES("goods_type", "#{goodsType,jdbcType=INTEGER}");
        }
        
        if (record.getGoodsId() != null) {
            sql.VALUES("goods_id", "#{goodsId,jdbcType=BIGINT}");
        }
        
        if (record.getGoodsName() != null) {
            sql.VALUES("goods_name", "#{goodsName,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsDesc() != null) {
            sql.VALUES("goods_desc", "#{goodsDesc,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsImg() != null) {
            sql.VALUES("goods_img", "#{goodsImg,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsSpecName() != null) {
            sql.VALUES("goods_spec_name", "#{goodsSpecName,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsPrice() != null) {
            sql.VALUES("goods_price", "#{goodsPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGoodsActualPrice() != null) {
            sql.VALUES("goods_actual_price", "#{goodsActualPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getSaleCount() != null) {
            sql.VALUES("sale_count", "#{saleCount,jdbcType=INTEGER}");
        }
        
        if (record.getTotalPrice() != null) {
            sql.VALUES("total_price", "#{totalPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGiveawayType() != null) {
            sql.VALUES("giveaway_type", "#{giveawayType,jdbcType=BIT}");
        }
        
        if (record.getChildOrdeStatus() != null) {
            sql.VALUES("child_orde_status", "#{childOrdeStatus,jdbcType=INTEGER}");
        }
        
        if (record.getPraiseStatus() != null) {
            sql.VALUES("praise_status", "#{praiseStatus,jdbcType=INTEGER}");
        }
        
        if (record.getGasOilNo() != null) {
            sql.VALUES("gas_oil_no", "#{gasOilNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasGunNo() != null) {
            sql.VALUES("gas_gun_no", "#{gasGunNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilType() != null) {
            sql.VALUES("gas_oil_type", "#{gasOilType,jdbcType=INTEGER}");
        }
        
        if (record.getGasOrderNo() != null) {
            sql.VALUES("gas_order_no", "#{gasOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasPricePlatform() != null) {
            sql.VALUES("gas_price_platform", "#{gasPricePlatform,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceGun() != null) {
            sql.VALUES("gas_price_gun", "#{gasPriceGun,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceVip() != null) {
            sql.VALUES("gas_price_vip", "#{gasPriceVip,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceOfficial() != null) {
            sql.VALUES("gas_price_official", "#{gasPriceOfficial,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCost() != null) {
            sql.VALUES("gas_price_cost", "#{gasPriceCost,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCostTotal() != null) {
            sql.VALUES("gas_price_cost_total", "#{gasPriceCostTotal,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceChannelPay() != null) {
            sql.VALUES("gas_price_channel_pay", "#{gasPriceChannelPay,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilLiters() != null) {
            sql.VALUES("gas_oil_liters", "#{gasOilLiters,jdbcType=DECIMAL}");
        }
        
        if (record.getGasDiscount() != null) {
            sql.VALUES("gas_discount", "#{gasDiscount,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilSubsidy() != null) {
            sql.VALUES("gas_oil_subsidy", "#{gasOilSubsidy,jdbcType=DECIMAL}");
        }
        
        if (record.getGasLitersPreferences() != null) {
            sql.VALUES("gas_liters_preferences", "#{gasLitersPreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPricePreferences() != null) {
            sql.VALUES("gas_price_preferences", "#{gasPricePreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasClassGroupId() != null) {
            sql.VALUES("gas_class_group_id", "#{gasClassGroupId,jdbcType=BIGINT}");
        }
        
        if (record.getGasClassGroupName() != null) {
            sql.VALUES("gas_class_group_name", "#{gasClassGroupName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasClassGroupTaskId() != null) {
            sql.VALUES("gas_class_group_task_id", "#{gasClassGroupTaskId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffId() != null) {
            sql.VALUES("gas_staff_id", "#{gasStaffId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffName() != null) {
            sql.VALUES("gas_staff_name", "#{gasStaffName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasSalesmanId() != null) {
            sql.VALUES("gas_salesman_id", "#{gasSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getGasSalesmanName() != null) {
            sql.VALUES("gas_salesman_name", "#{gasSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasAgentId() != null) {
            sql.VALUES("gas_agent_id", "#{gasAgentId,jdbcType=BIGINT}");
        }
        
        if (record.getGasAgentName() != null) {
            sql.VALUES("gas_agent_name", "#{gasAgentName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOrgId() != null) {
            sql.VALUES("gas_org_id", "#{gasOrgId,jdbcType=BIGINT}");
        }
        
        if (record.getGasOrgName() != null) {
            sql.VALUES("gas_org_name", "#{gasOrgName,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.VALUES("ext_1", "#{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.VALUES("ext_2", "#{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.VALUES("ext_3", "#{ext3,jdbcType=VARCHAR}");
        }
        
        if (record.getExt4() != null) {
            sql.VALUES("ext_4", "#{ext4,jdbcType=VARCHAR}");
        }
        
        if (record.getExt5() != null) {
            sql.VALUES("ext_5", "#{ext5,jdbcType=VARCHAR}");
        }
        
        if (record.getExt6() != null) {
            sql.VALUES("ext_6", "#{ext6,jdbcType=VARCHAR}");
        }
        
        return sql.toString();
    }

    public String selectByExample(HighChildOrderExample example) {
        SQL sql = new SQL();
        if (example != null && example.isDistinct()) {
            sql.SELECT_DISTINCT("id");
        } else {
            sql.SELECT("id");
        }
        sql.SELECT("order_id");
        sql.SELECT("mem_id");
        sql.SELECT("store_id");
        sql.SELECT("store_name");
        sql.SELECT("store_address");
        sql.SELECT("goods_type");
        sql.SELECT("goods_id");
        sql.SELECT("goods_name");
        sql.SELECT("goods_desc");
        sql.SELECT("goods_img");
        sql.SELECT("goods_spec_name");
        sql.SELECT("goods_price");
        sql.SELECT("goods_actual_price");
        sql.SELECT("sale_count");
        sql.SELECT("total_price");
        sql.SELECT("giveaway_type");
        sql.SELECT("child_orde_status");
        sql.SELECT("praise_status");
        sql.SELECT("gas_oil_no");
        sql.SELECT("gas_gun_no");
        sql.SELECT("gas_oil_type");
        sql.SELECT("gas_order_no");
        sql.SELECT("gas_price_platform");
        sql.SELECT("gas_price_gun");
        sql.SELECT("gas_price_vip");
        sql.SELECT("gas_price_official");
        sql.SELECT("gas_price_cost");
        sql.SELECT("gas_price_cost_total");
        sql.SELECT("gas_price_channel_pay");
        sql.SELECT("gas_oil_liters");
        sql.SELECT("gas_discount");
        sql.SELECT("gas_oil_subsidy");
        sql.SELECT("gas_liters_preferences");
        sql.SELECT("gas_price_preferences");
        sql.SELECT("gas_class_group_id");
        sql.SELECT("gas_class_group_name");
        sql.SELECT("gas_class_group_task_id");
        sql.SELECT("gas_staff_id");
        sql.SELECT("gas_staff_name");
        sql.SELECT("gas_salesman_id");
        sql.SELECT("gas_salesman_name");
        sql.SELECT("gas_agent_id");
        sql.SELECT("gas_agent_name");
        sql.SELECT("gas_org_id");
        sql.SELECT("gas_org_name");
        sql.SELECT("ext_1");
        sql.SELECT("ext_2");
        sql.SELECT("ext_3");
        sql.SELECT("ext_4");
        sql.SELECT("ext_5");
        sql.SELECT("ext_6");
        sql.FROM("high_child_order");
        applyWhere(sql, example, false);
        
        if (example != null && example.getOrderByClause() != null) {
            sql.ORDER_BY(example.getOrderByClause());
        }
        
        return sql.toString();
    }

    public String updateByExampleSelective(Map<String, Object> parameter) {
        HighChildOrder record = (HighChildOrder) parameter.get("record");
        HighChildOrderExample example = (HighChildOrderExample) parameter.get("example");
        
        SQL sql = new SQL();
        sql.UPDATE("high_child_order");
        
        if (record.getId() != null) {
            sql.SET("id = #{record.id,jdbcType=BIGINT}");
        }
        
        if (record.getOrderId() != null) {
            sql.SET("order_id = #{record.orderId,jdbcType=BIGINT}");
        }
        
        if (record.getMemId() != null) {
            sql.SET("mem_id = #{record.memId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreId() != null) {
            sql.SET("store_id = #{record.storeId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreName() != null) {
            sql.SET("store_name = #{record.storeName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreAddress() != null) {
            sql.SET("store_address = #{record.storeAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsType() != null) {
            sql.SET("goods_type = #{record.goodsType,jdbcType=INTEGER}");
        }
        
        if (record.getGoodsId() != null) {
            sql.SET("goods_id = #{record.goodsId,jdbcType=BIGINT}");
        }
        
        if (record.getGoodsName() != null) {
            sql.SET("goods_name = #{record.goodsName,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsDesc() != null) {
            sql.SET("goods_desc = #{record.goodsDesc,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsImg() != null) {
            sql.SET("goods_img = #{record.goodsImg,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsSpecName() != null) {
            sql.SET("goods_spec_name = #{record.goodsSpecName,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsPrice() != null) {
            sql.SET("goods_price = #{record.goodsPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGoodsActualPrice() != null) {
            sql.SET("goods_actual_price = #{record.goodsActualPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getSaleCount() != null) {
            sql.SET("sale_count = #{record.saleCount,jdbcType=INTEGER}");
        }
        
        if (record.getTotalPrice() != null) {
            sql.SET("total_price = #{record.totalPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGiveawayType() != null) {
            sql.SET("giveaway_type = #{record.giveawayType,jdbcType=BIT}");
        }
        
        if (record.getChildOrdeStatus() != null) {
            sql.SET("child_orde_status = #{record.childOrdeStatus,jdbcType=INTEGER}");
        }
        
        if (record.getPraiseStatus() != null) {
            sql.SET("praise_status = #{record.praiseStatus,jdbcType=INTEGER}");
        }
        
        if (record.getGasOilNo() != null) {
            sql.SET("gas_oil_no = #{record.gasOilNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasGunNo() != null) {
            sql.SET("gas_gun_no = #{record.gasGunNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilType() != null) {
            sql.SET("gas_oil_type = #{record.gasOilType,jdbcType=INTEGER}");
        }
        
        if (record.getGasOrderNo() != null) {
            sql.SET("gas_order_no = #{record.gasOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasPricePlatform() != null) {
            sql.SET("gas_price_platform = #{record.gasPricePlatform,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceGun() != null) {
            sql.SET("gas_price_gun = #{record.gasPriceGun,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceVip() != null) {
            sql.SET("gas_price_vip = #{record.gasPriceVip,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceOfficial() != null) {
            sql.SET("gas_price_official = #{record.gasPriceOfficial,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCost() != null) {
            sql.SET("gas_price_cost = #{record.gasPriceCost,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCostTotal() != null) {
            sql.SET("gas_price_cost_total = #{record.gasPriceCostTotal,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceChannelPay() != null) {
            sql.SET("gas_price_channel_pay = #{record.gasPriceChannelPay,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilLiters() != null) {
            sql.SET("gas_oil_liters = #{record.gasOilLiters,jdbcType=DECIMAL}");
        }
        
        if (record.getGasDiscount() != null) {
            sql.SET("gas_discount = #{record.gasDiscount,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilSubsidy() != null) {
            sql.SET("gas_oil_subsidy = #{record.gasOilSubsidy,jdbcType=DECIMAL}");
        }
        
        if (record.getGasLitersPreferences() != null) {
            sql.SET("gas_liters_preferences = #{record.gasLitersPreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPricePreferences() != null) {
            sql.SET("gas_price_preferences = #{record.gasPricePreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasClassGroupId() != null) {
            sql.SET("gas_class_group_id = #{record.gasClassGroupId,jdbcType=BIGINT}");
        }
        
        if (record.getGasClassGroupName() != null) {
            sql.SET("gas_class_group_name = #{record.gasClassGroupName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasClassGroupTaskId() != null) {
            sql.SET("gas_class_group_task_id = #{record.gasClassGroupTaskId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffId() != null) {
            sql.SET("gas_staff_id = #{record.gasStaffId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffName() != null) {
            sql.SET("gas_staff_name = #{record.gasStaffName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasSalesmanId() != null) {
            sql.SET("gas_salesman_id = #{record.gasSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getGasSalesmanName() != null) {
            sql.SET("gas_salesman_name = #{record.gasSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasAgentId() != null) {
            sql.SET("gas_agent_id = #{record.gasAgentId,jdbcType=BIGINT}");
        }
        
        if (record.getGasAgentName() != null) {
            sql.SET("gas_agent_name = #{record.gasAgentName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOrgId() != null) {
            sql.SET("gas_org_id = #{record.gasOrgId,jdbcType=BIGINT}");
        }
        
        if (record.getGasOrgName() != null) {
            sql.SET("gas_org_name = #{record.gasOrgName,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        }
        
        if (record.getExt4() != null) {
            sql.SET("ext_4 = #{record.ext4,jdbcType=VARCHAR}");
        }
        
        if (record.getExt5() != null) {
            sql.SET("ext_5 = #{record.ext5,jdbcType=VARCHAR}");
        }
        
        if (record.getExt6() != null) {
            sql.SET("ext_6 = #{record.ext6,jdbcType=VARCHAR}");
        }
        
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByExample(Map<String, Object> parameter) {
        SQL sql = new SQL();
        sql.UPDATE("high_child_order");
        
        sql.SET("id = #{record.id,jdbcType=BIGINT}");
        sql.SET("order_id = #{record.orderId,jdbcType=BIGINT}");
        sql.SET("mem_id = #{record.memId,jdbcType=BIGINT}");
        sql.SET("store_id = #{record.storeId,jdbcType=BIGINT}");
        sql.SET("store_name = #{record.storeName,jdbcType=VARCHAR}");
        sql.SET("store_address = #{record.storeAddress,jdbcType=VARCHAR}");
        sql.SET("goods_type = #{record.goodsType,jdbcType=INTEGER}");
        sql.SET("goods_id = #{record.goodsId,jdbcType=BIGINT}");
        sql.SET("goods_name = #{record.goodsName,jdbcType=VARCHAR}");
        sql.SET("goods_desc = #{record.goodsDesc,jdbcType=VARCHAR}");
        sql.SET("goods_img = #{record.goodsImg,jdbcType=VARCHAR}");
        sql.SET("goods_spec_name = #{record.goodsSpecName,jdbcType=VARCHAR}");
        sql.SET("goods_price = #{record.goodsPrice,jdbcType=DECIMAL}");
        sql.SET("goods_actual_price = #{record.goodsActualPrice,jdbcType=DECIMAL}");
        sql.SET("sale_count = #{record.saleCount,jdbcType=INTEGER}");
        sql.SET("total_price = #{record.totalPrice,jdbcType=DECIMAL}");
        sql.SET("giveaway_type = #{record.giveawayType,jdbcType=BIT}");
        sql.SET("child_orde_status = #{record.childOrdeStatus,jdbcType=INTEGER}");
        sql.SET("praise_status = #{record.praiseStatus,jdbcType=INTEGER}");
        sql.SET("gas_oil_no = #{record.gasOilNo,jdbcType=VARCHAR}");
        sql.SET("gas_gun_no = #{record.gasGunNo,jdbcType=VARCHAR}");
        sql.SET("gas_oil_type = #{record.gasOilType,jdbcType=INTEGER}");
        sql.SET("gas_order_no = #{record.gasOrderNo,jdbcType=VARCHAR}");
        sql.SET("gas_price_platform = #{record.gasPricePlatform,jdbcType=DECIMAL}");
        sql.SET("gas_price_gun = #{record.gasPriceGun,jdbcType=DECIMAL}");
        sql.SET("gas_price_vip = #{record.gasPriceVip,jdbcType=DECIMAL}");
        sql.SET("gas_price_official = #{record.gasPriceOfficial,jdbcType=DECIMAL}");
        sql.SET("gas_price_cost = #{record.gasPriceCost,jdbcType=DECIMAL}");
        sql.SET("gas_price_cost_total = #{record.gasPriceCostTotal,jdbcType=DECIMAL}");
        sql.SET("gas_price_channel_pay = #{record.gasPriceChannelPay,jdbcType=DECIMAL}");
        sql.SET("gas_oil_liters = #{record.gasOilLiters,jdbcType=DECIMAL}");
        sql.SET("gas_discount = #{record.gasDiscount,jdbcType=DECIMAL}");
        sql.SET("gas_oil_subsidy = #{record.gasOilSubsidy,jdbcType=DECIMAL}");
        sql.SET("gas_liters_preferences = #{record.gasLitersPreferences,jdbcType=DECIMAL}");
        sql.SET("gas_price_preferences = #{record.gasPricePreferences,jdbcType=DECIMAL}");
        sql.SET("gas_class_group_id = #{record.gasClassGroupId,jdbcType=BIGINT}");
        sql.SET("gas_class_group_name = #{record.gasClassGroupName,jdbcType=VARCHAR}");
        sql.SET("gas_class_group_task_id = #{record.gasClassGroupTaskId,jdbcType=BIGINT}");
        sql.SET("gas_staff_id = #{record.gasStaffId,jdbcType=BIGINT}");
        sql.SET("gas_staff_name = #{record.gasStaffName,jdbcType=VARCHAR}");
        sql.SET("gas_salesman_id = #{record.gasSalesmanId,jdbcType=BIGINT}");
        sql.SET("gas_salesman_name = #{record.gasSalesmanName,jdbcType=VARCHAR}");
        sql.SET("gas_agent_id = #{record.gasAgentId,jdbcType=BIGINT}");
        sql.SET("gas_agent_name = #{record.gasAgentName,jdbcType=VARCHAR}");
        sql.SET("gas_org_id = #{record.gasOrgId,jdbcType=BIGINT}");
        sql.SET("gas_org_name = #{record.gasOrgName,jdbcType=VARCHAR}");
        sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        sql.SET("ext_4 = #{record.ext4,jdbcType=VARCHAR}");
        sql.SET("ext_5 = #{record.ext5,jdbcType=VARCHAR}");
        sql.SET("ext_6 = #{record.ext6,jdbcType=VARCHAR}");
        
        HighChildOrderExample example = (HighChildOrderExample) parameter.get("example");
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByPrimaryKeySelective(HighChildOrder record) {
        SQL sql = new SQL();
        sql.UPDATE("high_child_order");
        
        if (record.getOrderId() != null) {
            sql.SET("order_id = #{orderId,jdbcType=BIGINT}");
        }
        
        if (record.getMemId() != null) {
            sql.SET("mem_id = #{memId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreId() != null) {
            sql.SET("store_id = #{storeId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreName() != null) {
            sql.SET("store_name = #{storeName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreAddress() != null) {
            sql.SET("store_address = #{storeAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsType() != null) {
            sql.SET("goods_type = #{goodsType,jdbcType=INTEGER}");
        }
        
        if (record.getGoodsId() != null) {
            sql.SET("goods_id = #{goodsId,jdbcType=BIGINT}");
        }
        
        if (record.getGoodsName() != null) {
            sql.SET("goods_name = #{goodsName,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsDesc() != null) {
            sql.SET("goods_desc = #{goodsDesc,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsImg() != null) {
            sql.SET("goods_img = #{goodsImg,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsSpecName() != null) {
            sql.SET("goods_spec_name = #{goodsSpecName,jdbcType=VARCHAR}");
        }
        
        if (record.getGoodsPrice() != null) {
            sql.SET("goods_price = #{goodsPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGoodsActualPrice() != null) {
            sql.SET("goods_actual_price = #{goodsActualPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getSaleCount() != null) {
            sql.SET("sale_count = #{saleCount,jdbcType=INTEGER}");
        }
        
        if (record.getTotalPrice() != null) {
            sql.SET("total_price = #{totalPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGiveawayType() != null) {
            sql.SET("giveaway_type = #{giveawayType,jdbcType=BIT}");
        }
        
        if (record.getChildOrdeStatus() != null) {
            sql.SET("child_orde_status = #{childOrdeStatus,jdbcType=INTEGER}");
        }
        
        if (record.getPraiseStatus() != null) {
            sql.SET("praise_status = #{praiseStatus,jdbcType=INTEGER}");
        }
        
        if (record.getGasOilNo() != null) {
            sql.SET("gas_oil_no = #{gasOilNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasGunNo() != null) {
            sql.SET("gas_gun_no = #{gasGunNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilType() != null) {
            sql.SET("gas_oil_type = #{gasOilType,jdbcType=INTEGER}");
        }
        
        if (record.getGasOrderNo() != null) {
            sql.SET("gas_order_no = #{gasOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasPricePlatform() != null) {
            sql.SET("gas_price_platform = #{gasPricePlatform,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceGun() != null) {
            sql.SET("gas_price_gun = #{gasPriceGun,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceVip() != null) {
            sql.SET("gas_price_vip = #{gasPriceVip,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceOfficial() != null) {
            sql.SET("gas_price_official = #{gasPriceOfficial,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCost() != null) {
            sql.SET("gas_price_cost = #{gasPriceCost,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCostTotal() != null) {
            sql.SET("gas_price_cost_total = #{gasPriceCostTotal,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceChannelPay() != null) {
            sql.SET("gas_price_channel_pay = #{gasPriceChannelPay,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilLiters() != null) {
            sql.SET("gas_oil_liters = #{gasOilLiters,jdbcType=DECIMAL}");
        }
        
        if (record.getGasDiscount() != null) {
            sql.SET("gas_discount = #{gasDiscount,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilSubsidy() != null) {
            sql.SET("gas_oil_subsidy = #{gasOilSubsidy,jdbcType=DECIMAL}");
        }
        
        if (record.getGasLitersPreferences() != null) {
            sql.SET("gas_liters_preferences = #{gasLitersPreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPricePreferences() != null) {
            sql.SET("gas_price_preferences = #{gasPricePreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasClassGroupId() != null) {
            sql.SET("gas_class_group_id = #{gasClassGroupId,jdbcType=BIGINT}");
        }
        
        if (record.getGasClassGroupName() != null) {
            sql.SET("gas_class_group_name = #{gasClassGroupName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasClassGroupTaskId() != null) {
            sql.SET("gas_class_group_task_id = #{gasClassGroupTaskId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffId() != null) {
            sql.SET("gas_staff_id = #{gasStaffId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffName() != null) {
            sql.SET("gas_staff_name = #{gasStaffName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasSalesmanId() != null) {
            sql.SET("gas_salesman_id = #{gasSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getGasSalesmanName() != null) {
            sql.SET("gas_salesman_name = #{gasSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasAgentId() != null) {
            sql.SET("gas_agent_id = #{gasAgentId,jdbcType=BIGINT}");
        }
        
        if (record.getGasAgentName() != null) {
            sql.SET("gas_agent_name = #{gasAgentName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOrgId() != null) {
            sql.SET("gas_org_id = #{gasOrgId,jdbcType=BIGINT}");
        }
        
        if (record.getGasOrgName() != null) {
            sql.SET("gas_org_name = #{gasOrgName,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{ext3,jdbcType=VARCHAR}");
        }
        
        if (record.getExt4() != null) {
            sql.SET("ext_4 = #{ext4,jdbcType=VARCHAR}");
        }
        
        if (record.getExt5() != null) {
            sql.SET("ext_5 = #{ext5,jdbcType=VARCHAR}");
        }
        
        if (record.getExt6() != null) {
            sql.SET("ext_6 = #{ext6,jdbcType=VARCHAR}");
        }
        
        sql.WHERE("id = #{id,jdbcType=BIGINT}");
        
        return sql.toString();
    }

    protected void applyWhere(SQL sql, HighChildOrderExample example, boolean includeExamplePhrase) {
        if (example == null) {
            return;
        }
        
        String parmPhrase1;
        String parmPhrase1_th;
        String parmPhrase2;
        String parmPhrase2_th;
        String parmPhrase3;
        String parmPhrase3_th;
        if (includeExamplePhrase) {
            parmPhrase1 = "%s #{example.oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{example.oredCriteria[%d].allCriteria[%d].value} and #{example.oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{example.oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{example.oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{example.oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        } else {
            parmPhrase1 = "%s #{oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{oredCriteria[%d].allCriteria[%d].value} and #{oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        }
        
        StringBuilder sb = new StringBuilder();
        List<Criteria> oredCriteria = example.getOredCriteria();
        boolean firstCriteria = true;
        for (int i = 0; i < oredCriteria.size(); i++) {
            Criteria criteria = oredCriteria.get(i);
            if (criteria.isValid()) {
                if (firstCriteria) {
                    firstCriteria = false;
                } else {
                    sb.append(" or ");
                }
                
                sb.append('(');
                List<Criterion> criterions = criteria.getAllCriteria();
                boolean firstCriterion = true;
                for (int j = 0; j < criterions.size(); j++) {
                    Criterion criterion = criterions.get(j);
                    if (firstCriterion) {
                        firstCriterion = false;
                    } else {
                        sb.append(" and ");
                    }
                    
                    if (criterion.isNoValue()) {
                        sb.append(criterion.getCondition());
                    } else if (criterion.isSingleValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase1, criterion.getCondition(), i, j));
                        } else {
                            sb.append(String.format(parmPhrase1_th, criterion.getCondition(), i, j,criterion.getTypeHandler()));
                        }
                    } else if (criterion.isBetweenValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase2, criterion.getCondition(), i, j, i, j));
                        } else {
                            sb.append(String.format(parmPhrase2_th, criterion.getCondition(), i, j, criterion.getTypeHandler(), i, j, criterion.getTypeHandler()));
                        }
                    } else if (criterion.isListValue()) {
                        sb.append(criterion.getCondition());
                        sb.append(" (");
                        List<?> listItems = (List<?>) criterion.getValue();
                        boolean comma = false;
                        for (int k = 0; k < listItems.size(); k++) {
                            if (comma) {
                                sb.append(", ");
                            } else {
                                comma = true;
                            }
                            if (criterion.getTypeHandler() == null) {
                                sb.append(String.format(parmPhrase3, i, j, k));
                            } else {
                                sb.append(String.format(parmPhrase3_th, i, j, k, criterion.getTypeHandler()));
                            }
                        }
                        sb.append(')');
                    }
                }
                sb.append(')');
            }
        }
        
        if (sb.length() > 0) {
            sql.WHERE(sb.toString());
        }
    }
}